clear
tdfread('obs_fn26.txt');

%Run with the following parameters to test the first hypothesis of footnote 26

treat1 = 1;
treat2 = 2;

%Run with the following parameters to test the second hypothesis of footnote 26

%treat1 = 2;
%treat2 = 1;

key_var=r;
upper=11;

G=zeros(upper,1);
F=zeros(upper,1);
GmF =zeros(upper,1);

junk = (treatment==treat1);
N=sum(junk);
junk = (treatment==treat2);
M=sum(junk);
clear junk

for j=1:upper
    counter=(j-1)*.1;
    junk1=(key_var<=counter & treatment==treat1);
    junk2=(key_var<=counter & treatment==treat2);
    F(j,1)=sum(junk1)/N;
    G(j,1)=sum(junk2)/M;
    GmF(j,1)=G(j,1)-F(j,1); 
end

clear junk1 junk2

S1=sqrt(N*M/(N+M))*max(GmF);

reps=1000;

Sr=BM_bs_fn26(key_var,treatment,id,treat1,treat2,reps,upper);

junk=(Sr>S1);

p=sum(junk)/reps