function mat = A_gof(all,time,X,Draws,eta_distr)

%This code generates the data for goodnes-of-fit figures

global treatment T

%All subjects (all=1) or converged (all=0)?
%Choices starting at period T
if all == 1
        h2 = ['obs_data_all_',time,'.txt'];
else
        h2 = ['obs_data_',time,'.txt'];
end;

tdfread(h2);
Data_T=T;
[junk1,junk2]=max(treatment);
Subjects1=junk2-1;
Data_T1 =Data_T(1:Subjects1,1);    
Data_T2 =Data_T(Subjects1+1:end,1); 
clear junk1 junk2
clear T*

halton = haltonset(2,'Skip',1e3,'Leap',1e2);
halton = scramble(halton,'RR2');
uniform_r=halton(1:Draws,1);
uniform_eta=halton(1:Draws,2);
r=norminv(uniform_r,X(1,1),X(2,1));
x=[X(5,1);X(6,1);X(7,1);X(8,1)];
[obs,pred]=Z_obs_pred(x,Data_T1,Data_T2,r,1000,uniform_eta,eta_distr);

for k=1:16
    threshold(k,1)=4.75-(k-1)*.25;
end

mat=[threshold;threshold];
mat=[mat,obs,pred];
treatment=ones(16,1);
treatment2=ones(16,1)*2;
treatment=[treatment;treatment2];
mat=[mat, treatment];