function mat = A_oos(session,X,Draws,eta_distr)

%This code generates the data needed for the OOS figures

global treatment T

%All subjects (all=1) or converged (all=0)?
%Choices starting at period T
        h1 = ['obs_data_oos_s',session,'.txt'];
        h2 = ['obs_data_oos_',session,'.txt'];

%Prediction for all data but 'session'
tdfread(h2);
Data_T=T;
[junk1,junk2]=max(treatment);
Subjects1=junk2-1;
Data_T1 =Data_T(1:Subjects1,1);    
Data_T2 =Data_T(Subjects1+1:end,1); 
clear junk1 junk2

halton = haltonset(2,'Skip',1e3,'Leap',1e2);
halton = scramble(halton,'RR2');
uniform_r=halton(1:Draws,1);
uniform_eta=halton(1:Draws,2);
r=norminv(uniform_r,X(1,1),X(2,1));
x=[X(5,1);X(6,1);X(7,1);X(8,1)];
[junk,pred]=Z_obs_pred(x,Data_T1,Data_T2,r,1000,uniform_eta,eta_distr);

%Generating obs for 'session'
tdfread(h1);
Data_T1=T;
Subjects1=size(Data_T1,1);  

for k=1:16
    threshold(k,1)=4.75-(k-1)*.25;
end

obs=zeros(16,1);

for k=1:16
    for i=1:Subjects1
        if Data_T1(i,1)==threshold(k,1)
            obs(k,1)=obs(k,1)+1;
        end
    end
end

obs=obs/Subjects1;

pred2=pred(17:end,1);

mat=[threshold,obs,pred2];
