function f = C_lik1(x,Data,uniform_r)

Draws=size(uniform_r,1);
Subjects = size(Data,1);
subjectones = ones(Subjects);
uniform_rr=subjectones(:,1)*uniform_r';

r_rand=norminv(uniform_rr,x(1,1),x(2,1));
T=Data;

for j=1:5
DP(:,:,j)=T(:,j)*ones(1,Draws);
end

%Computes the likelihood for each value of k (index here is ijk)
lik_ijk(:,:,1)= Z_phi(DP(:,:,1),x(3,1),x(4,1),r_rand,0.1,Draws,Subjects);
lik_ijk(:,:,2)= Z_phi(DP(:,:,2),x(3,1),x(4,1),r_rand,0.3,Draws,Subjects);
lik_ijk(:,:,3)= Z_phi(DP(:,:,3),x(3,1),x(4,1),r_rand,0.5,Draws,Subjects);
lik_ijk(:,:,4)= Z_phi(DP(:,:,4),x(3,1),x(4,1),r_rand,0.7,Draws,Subjects);
lik_ijk(:,:,5)= Z_phi(DP(:,:,5),x(3,1),x(4,1),r_rand,0.9,Draws,Subjects);


%Contribution to the likelihood by subject and period:
lik_ik(:,:)=log(sum(lik_ijk,2)/Draws);

%Total contribution to the likelihood by all subjects
f=-sum((sum(lik_ik)));


%Contribution to the likelihood by subject:

%lik_i=zeros(Subjects,1);
%lik_i=log(sum(lik_ij,2)/Draws);

%f=-(sum(lik_i(:,1)));
